# Fraudulent Rule Update

PUT /brp/fraudulent-rules/{rule_id}: Updates a fraudulent rule (send all fields).

Source: https://docs.deepinfo.com/reference/brp/fraudulent-rule-update/

Last updated: 2026-09-27

---
`PUT https://api.deepinfo.com/v1/brp/fraudulent-rules/{rule_id}`

Updates a fraudulent rule (send all fields).

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `rule_id` | Required |  | `000000000000000e8e040001` |

## Request Body

| Parameter | Type | Required | Description |
|---|---|---|---|
| `name` | string | Required | min length `1`; max length `255` |
| `filters` | object | Required | The filters of the rule; see the example request body |
| `tags` | array | Optional | max items `10` |
| `auto_approval` | boolean | Required |  |
| `enabled` | boolean | Required |  |

```json
{
  "name": "Brand name",
  "filters": {
    "fqdn_type": "domain",
    "keyword": "acme",
    "match_type": "exact",
    "helper_keywords": [],
    "discard_keywords": [],
    "included_extensions": [],
    "excluded_extensions": []
  },
  "tags": [],
  "auto_approval": false,
  "enabled": true
}
```

## Response Fields

| Field | Type | Description |
|---|---|---|
| `id` | string |  |
| `name` | string |  |
| `filters` | object |  |
| `tags` | array of string |  |
| `include_past` | boolean |  |
| `auto_approval` | boolean |  |
| `enabled` | boolean |  |
| `create_date` | string | date-time |
| `last_update_date` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `name` | string |
| `filters` | object |
| `filters.fqdn_type` | string |
| `filters.keyword` | string |
| `filters.match_type` | string |
| `filters.helper_keywords` | array |
| `filters.discard_keywords` | array |
| `filters.included_extensions` | array |
| `filters.excluded_extensions` | array |
| `tags` | array |
| `include_past` | boolean |
| `auto_approval` | boolean |
| `enabled` | boolean |
| `create_date` | string |
| `last_update_date` | string |

## Examples

### 200 · OK

```bash
curl -X PUT 'https://api.deepinfo.com/v1/brp/fraudulent-rules/000000000000000e8e040001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Brand name",
  "filters": {
    "fqdn_type": "domain",
    "keyword": "acme",
    "match_type": "exact",
    "helper_keywords": [],
    "discard_keywords": [],
    "included_extensions": [],
    "excluded_extensions": []
  },
  "tags": [],
  "auto_approval": false,
  "enabled": true
}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "000000000000000e8e040001",
  "name": "Brand name",
  "filters": {
    "fqdn_type": "domain",
    "keyword": "acme",
    "match_type": "exact",
    "helper_keywords": [],
    "discard_keywords": [],
    "included_extensions": [],
    "excluded_extensions": []
  },
  "tags": [],
  "include_past": true,
  "auto_approval": false,
  "enabled": true,
  "create_date": "2025-06-01T08:00:00Z",
  "last_update_date": "2025-07-01T08:00:00Z"
}
```

### 400 · Not Found (nonexistent rule_id)

```bash
curl -X PUT 'https://api.deepinfo.com/v1/brp/fraudulent-rules/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "name",
      "details": [
        "This field is required."
      ]
    },
    {
      "param": "filters",
      "details": [
        "This field is required."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
